summaryrefslogtreecommitdiff
path: root/files/setmysqlpass.sh
diff options
context:
space:
mode:
Diffstat (limited to 'files/setmysqlpass.sh')
-rw-r--r--files/setmysqlpass.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/files/setmysqlpass.sh b/files/setmysqlpass.sh
new file mode 100644
index 0000000..586775e
--- /dev/null
+++ b/files/setmysqlpass.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+#
+# Set MySQL password.
+#
+
+CONF="/root/.my.cnf"
+
+# Check config file
+if [ ! -e "$CONF" ]; then
+ echo "File not found: $CONF"
+ exit 1
+fi
+
+# Get password from configuration
+passwd="`grep ^'password='` $CONF | cut -d '=' -f 2"
+
+# Set the password
+echo "USE mysql; UPDATE user SET Password=PASSWORD('$passwd') WHERE User='root' AND Host='localhost';" | /usr/bin/mysql -u root